Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Class DataUtilities

    java.lang.Object
      org.jfree.data.DataUtilities

public abstract class DataUtilities
extends java.lang.Object

Utility methods for use with some of the data classes (but not the datasets, see `DatasetUtilities`).

Constructor Summary
`DataUtilities()`

Method Summary
`static KeyedValues` | `getCumulativePercentages(KeyedValues data)` Returns a `KeyedValues` instance that contains the cumulative percentage values for the data in another `KeyedValues` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataUtilities

    public DataUtilities()

Method Detail

### getCumulativePercentages

    public static KeyedValues getCumulativePercentages(KeyedValues data)

  Returns a `KeyedValues` instance that contains the cumulative percentage values for the data in another `KeyedValues` instance.

  The percentages are values between 0.0 and 1.0 (where 1.0 = 100%).

  Parameters:
    `data` - the data.
  Returns:
    The cumulative percentages.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD